# Delete Storage Credential

del ` https://app.mk.io/api/v1/projects/:project_name/media/storage/:storage_name/credentials/:credential_id`

Removes a Storage Credential from the Storage instance. If the Storage Credential is in use and no alternative Storage Credentials are available, the Storage instance will be inaccessible.

RBAC Capability Required: `infra.storagetoken.delete`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** string Required  
- **storage_name** string Required  
- **credential_id** string Required format: uuid

## Response

- **204** Storage Credential deleted  
No response body.

## Errors

- **400 Bad Request**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required  
    Pertinent information about the error
    - **code** string Required  
      The error code.
    - **detail** string Required  
      The error message.
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.
      - **[any key]** any  
    - **ref** string Required  
      A reference to the request that caused the error.
    - **status** integer Required  
      The HTTP status code

- **401 Unauthorized**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required  
    Pertinent information about the error
    - **code** string Required  
      The error code.
    - **detail** string Required  
      The error message.
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.
      - **[any key]** any  
    - **ref** string Required  
      A reference to the request that caused the error.
    - **status** integer Required  
      The HTTP status code

- **403 Forbidden**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required  
    Pertinent information about the error
    - **code** string Required  
      The error code.
    - **detail** string Required  
      The error message.
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.
      - **[any key]** any  
    - **ref** string Required  
      A reference to the request that caused the error.
    - **status** integer Required  
      The HTTP status code

- **404 Not Found**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required  
    Pertinent information about the error
    - **code** string Required  
      The error code.
    - **detail** string Required  
      The error message.
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.
      - **[any key]** any  
    - **ref** string Required  
      A reference to the request that caused the error.
    - **status** integer Required  
      The HTTP status code

- **429 Too Many Requests**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required  
    Pertinent information about the error
    - **code** string Required  
      The error code.
    - **detail** string Required  
      The error message.
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.
      - **[any key]** any  
    - **ref** string Required  
      A reference to the request that caused the error.
    - **status** integer Required  
      The HTTP status code

- **500 Internal Server Error**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required  
    Pertinent information about the error
    - **code** string Required  
      The error code.
    - **detail** string Required  
      The error message.
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.
      - **[any key]** any  
    - **ref** string Required  
      A reference to the request that caused the error.
    - **status** integer Required  
      The HTTP status code
